package com.ruoyi.orderManagement.finance.mapper;

import com.ruoyi.orderManagement.finance.domain.FTmsaccbills;
import com.ruoyi.orderManagement.finance.domain.FTmsaccbillsFees;

import java.util.List;
import java.util.Map;

/**
 * 财务主Mapper接口
 * 
 * @author ruoyi
 * @date 2021-03-12
 */
public interface FTmsaccbillsMapper 
{
    /**
     * 查询财务主
     * 
     * @param id 财务主ID
     * @return 财务主
     */
    public FTmsaccbills selectFTmsaccbillsById(Long id);

    /**
     * 查询财务主列表
     * 
     * @param fTmsaccbills 财务主
     * @return 财务主集合
     */
    public List<FTmsaccbills> selectFTmsaccbillsList(FTmsaccbills fTmsaccbills);

    public List<Map<String, Object>> selectFTmsaccbillsMapList(FTmsaccbills fTmsaccbills);

    /**
     * 新增财务主
     * 
     * @param fTmsaccbills 财务主
     * @return 结果
     */
    public int insertFTmsaccbills(FTmsaccbills fTmsaccbills);

    /**
     * 修改财务主
     * 
     * @param fTmsaccbills 财务主
     * @return 结果
     */
    public int updateFTmsaccbills(FTmsaccbills fTmsaccbills);

    /**
     * 删除财务主
     * 
     * @param id 财务主ID
     * @return 结果
     */
    public int deleteFTmsaccbillsById(Long id);

    /**
     * 批量删除财务主
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFTmsaccbillsByIds(Long[] ids);

    public List<Map<String, Object>> fTmsaccbillsListAccamount(FTmsaccbillsFees fTmsaccbillsFees);

    public List<Map<String, Object>> fTmsaccbillsList(FTmsaccbillsFees fTmsaccbillsFees);

}
